
local Flag1 = USERFLAG:New("Flag_1"):Set(1)
local Flag2 = USERFLAG:New("Flag_2"):Set(1)

local TGT1_Zone = ZONE:New("TGT1")

local ClientSet = SET_GROUP:New()
  :FilterPrefixes("AG_")
  :FilterStart()
  
local TGT1Set = SET_GROUP:New()
  :FilterPrefixes("TGT1_")
  :FilterStart()

local TGT2Set = SET_GROUP:New()
  :FilterPrefixes("TGT2_")
  :FilterStart()
  
local function TGT1_Activation()
  if Flag1:Is(1)
  then
    TGT1Set:ForEachGroup(
      function(TGT1Set)
        TGT1Set:Activate()
      end
    )
    Flag1:Set(10)
  else
    MessageTGT1 = MESSAGE:New("Target 1 Already Tasked !!", 20):ToAll()
  end
end

local function TGT2_Activation()
  if Flag2:Is(1)
  then
    TGT2Set:ForEachGroup(
      function(TGT2Set)
        TGT2Set:Activate()
      end
    )
     Flag2:Set(10)
  else
    MessageTGT2 = MESSAGE:New("Target 2 Already Tesked !!", 20):ToAll()
  end
end

local function RefreshClientMenus()
  
  _SETTINGS:SetPlayerMenuOff()

  ClientSet:ForEachGroup(
    function( ClientSet )
      Main = MENU_GROUP:New(ClientSet, "Air Ground Menu")
       TGT1 = MENU_GROUP_COMMAND:New(ClientSet, "Activate Target 1 !!", Main, TGT1_Activation)
       TGT2 = MENU_GROUP_COMMAND:New(ClientSet, "Activate Target 2 !!", Main, TGT2_Activation)
     end
    )
end  

MenuRefresher = SCHEDULER:New( nil, 
  function()
    RefreshClientMenus()
  end, {}, 5, 10 )